Bug 126630 - Function Optimizer ('Solver')
Summary: Function Optimizer ('Solver')
Status: RESOLVED FIXED
Alias: None
Product: calligrasheets
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Calligra Sheets (KSpread) Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-02 20:09 UTC by Chris George
Modified: 2012-09-29 16:18 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris George 2006-05-02 20:09:27 UTC
Version:           SVN (using KDE Devel)
Installed from:    Compiled sources
OS:                Linux

It would be nice to have a 'solver' (much like Excel's solver or Lingo's (www.lindo.com)) in kspread.

http://en.wikipedia.org/wiki/Solver
Comment 1 Stefan Nikolaus 2006-05-18 17:18:44 UTC
SVN commit 542194 by nikolaus:

Plugins	Function Optimizer ('Solver')
	Basic version of a function optimizer.
	- As is just extends Goal Seek to scalar functions working on
	  N dimensional space.
	- Adjustable aborting criteria: precision, max. iterations.
	- Usable for non-linear functions (simplex algo).
	- Uses the GNU Scientific Library. If it's not present the plugin won't
	  be compiled.

CCBUG:	126630


 A             cmake/modules/FindGSL.cmake  
 M  +8 -0      kspread/TODO  
 M  +1 -9      kspread/plugins/CMakeLists.txt  
 A             kspread/plugins/solver (directory)  
 A             kspread/plugins/solver/CMakeLists.txt  
 A             kspread/plugins/solver/Messages.sh  
 A             kspread/plugins/solver/Solver.cpp   [License: LGPL (v2+)]
 A             kspread/plugins/solver/Solver.h   [License: LGPL (v2+)]
 A             kspread/plugins/solver/SolverDetailsWidget.ui  
 A             kspread/plugins/solver/SolverDialog.cpp   [License: LGPL (v2+)]
 A             kspread/plugins/solver/SolverDialog.h   [License: LGPL (v2+)]
 A             kspread/plugins/solver/SolverMainWidget.ui  
 A             kspread/plugins/solver/solver.rc  


--- trunk/koffice/kspread/TODO #542193:542194
@@ -222,6 +222,14 @@
 
   + Locked areas (for formulas with a matrix as result)		      2 TOMA
 
+  + Function optimizer ('Solver')				      2 ----
+    - evaluate, if we're able to use linear methods (derivatives!)	----
+    - evaluate, how to include side conditions				----
+    - implemt: optimize to maximum, to specific value			----
+    - check wether the formula cell carries a valid formulas		----
+      and further checks of used cell contents
+
+
 * Major features (big effort)
   + Script, Script-Editor (like VBA in Excel)			      2 ----
     - Suggestion: Kross
--- trunk/koffice/kspread/plugins/CMakeLists.txt #542193:542194
@@ -1,17 +1,9 @@
-
-
 add_subdirectory( insertcalendar )
+add_subdirectory( solver )
 
-
-
-
 ########### install files ###############
 
 
-
-
-
-
 #original Makefile.am contents follow:
 
 #
Comment 2 Yuri Chornoivan 2012-09-29 16:18:16 UTC
Plugin's loading is fixed in Calligra Sheets master by the following commit:

http://commits.kde.org/calligra/ee0a649c8f1cac9cfbfbd7df804a6d63ac6d7b83